> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Well Known Card

> Agent-specific well-known discovery endpoint.

Returns the agent card for this specific agent, at
/v1/agents/{agent_id}/.well-known/agent-card.json

This allows each agent to have its own well-known endpoint, which is A2A compliant.
Later, this can be proxied to subdomains:
- agent1.domain.com/.well-known/agent-card.json -> /v1/agents/{id}/.well-known/agent-card.json



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agents/{agent_id}/.well-known/agent-card.json
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/agents/{agent_id}/.well-known/agent-card.json:
    get:
      tags:
        - v1
        - protected
        - agents
        - agents-well-known
      summary: Get Agent Well Known Card
      description: >-
        Agent-specific well-known discovery endpoint.


        Returns the agent card for this specific agent, at

        /v1/agents/{agent_id}/.well-known/agent-card.json


        This allows each agent to have its own well-known endpoint, which is A2A
        compliant.

        Later, this can be proxied to subdomains:

        - agent1.domain.com/.well-known/agent-card.json ->
        /v1/agents/{id}/.well-known/agent-card.json
      operationId: >-
        get_agent_well_known_card_v1_agents__agent_id___well_known_agent_card_json_get
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            format: uuid
            title: Agent Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCard'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentCard:
      properties:
        authentication:
          anyOf:
            - $ref: '#/components/schemas/AgentAuthentication'
            - type: 'null'
        capabilities:
          $ref: '#/components/schemas/AgentCapabilities'
        defaultInputModes:
          default:
            - text/plain
            - application/json
          items:
            type: string
          title: Defaultinputmodes
          type: array
        defaultOutputModes:
          default:
            - text/plain
            - application/json
          items:
            type: string
          title: Defaultoutputmodes
          type: array
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        documentationUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentationurl
        name:
          title: Name
          type: string
        provider:
          anyOf:
            - $ref: '#/components/schemas/AgentProvider'
            - type: 'null'
        security:
          anyOf:
            - items:
                additionalProperties:
                  items:
                    type: string
                  type: array
                type: object
              type: array
            - type: 'null'
          title: Security
        securitySchemes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Securityschemes
        skills:
          items:
            $ref: '#/components/schemas/AgentSkill'
          title: Skills
          type: array
        supportedInterfaces:
          items:
            $ref: '#/components/schemas/AgentInterface'
          title: Supportedinterfaces
          type: array
        version:
          default: 1.0.0
          title: Version
          type: string
      required:
        - name
        - supportedInterfaces
        - capabilities
        - skills
      title: AgentCard
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AgentAuthentication:
      properties:
        credentials:
          anyOf:
            - type: string
            - type: 'null'
          title: Credentials
        schemes:
          items:
            type: string
          title: Schemes
          type: array
      required:
        - schemes
      title: AgentAuthentication
      type: object
    AgentCapabilities:
      properties:
        extendedAgentCard:
          default: false
          title: Extendedagentcard
          type: boolean
        extensions:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Extensions
        pushNotifications:
          default: false
          title: Pushnotifications
          type: boolean
        streaming:
          default: false
          title: Streaming
          type: boolean
      title: AgentCapabilities
      type: object
    AgentProvider:
      properties:
        organization:
          title: Organization
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      required:
        - organization
      title: AgentProvider
      type: object
    AgentSkill:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        examples:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Examples
        id:
          title: Id
          type: string
        inputModes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Inputmodes
        name:
          title: Name
          type: string
        outputModes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Outputmodes
        securityRequirements:
          anyOf:
            - items:
                additionalProperties:
                  items:
                    type: string
                  type: array
                type: object
              type: array
            - type: 'null'
          title: Securityrequirements
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
      required:
        - id
        - name
      title: AgentSkill
      type: object
    AgentInterface:
      description: >-
        A2A v1.0.0 AgentInterface — a (url, protocolBinding, protocolVersion)
        tuple.
      properties:
        protocolBinding:
          default: JSONRPC
          title: Protocolbinding
          type: string
        protocolVersion:
          default: '1.0'
          title: Protocolversion
          type: string
        tenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant
        url:
          title: Url
          type: string
      required:
        - url
      title: AgentInterface
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````